---
search:
  tags:
    - Schedule V2
    - GET
seo:
  description: >-
    Lists scheduled jobs with pagination and execute-at/status… Reference for
    the GET /api/v2/{team_slug}/{app_slug}/schedule endpoint in the Management
    API v2.
sidebar:
  label: List scheduled jobs
  badge: GET
title: List scheduled jobs
type: openapi-operation
---
Lists scheduled jobs with pagination and execute-at/status filters.

`GET /api/v2/{team_slug}/{app_slug}/schedule`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
      "item_type": "string",
      "to_status": "string",
      "execute_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}
```
